diff --git a/subsys/spm/Kconfig b/subsys/spm/Kconfig
index c29eadba..6c5af406 100644
--- a/subsys/spm/Kconfig
+++ b/subsys/spm/Kconfig
@@ -128,6 +128,10 @@ config SPM_NRF_P0_NS
 	bool "GPIO is Non-Secure"
 	default y
 
+config SPM_NRF_P1_NS
+	bool "GPIO 1 is Non-Secure"
+	default y
+
 config SPM_NRF_GPIOTE1_NS
 	bool "GPIOTE1 IRQ available in Non-Secure domain"
 	default y
diff --git a/subsys/spm/spm.c b/subsys/spm/spm.c
index da887cb7..42241825 100644
--- a/subsys/spm/spm.c
+++ b/subsys/spm/spm.c
@@ -300,6 +300,9 @@ static void spm_config_peripherals(void)
 #ifdef NRF_P0
 		PERIPH("NRF_P0", NRF_P0, CONFIG_SPM_NRF_P0_NS),
 #endif
+#ifdef NRF_P1
+		PERIPH("NRF_P1", NRF_P1, CONFIG_SPM_NRF_P1_NS),
+#endif
 #ifdef NRF_CLOCK
 		PERIPH("NRF_CLOCK", NRF_CLOCK, CONFIG_SPM_NRF_CLOCK_NS),
 #endif
@@ -377,6 +380,10 @@ static void spm_config_peripherals(void)
 		/* Configure GPIO pins to be Non-Secure */
 		NRF_SPU->GPIOPORT[0].PERM = 0;
 	}
+	if (IS_ENABLED(CONFIG_SPM_NRF_P1_NS)) {
+		/* Configure GPIO 1 pins to be Non-Secure */
+		NRF_SPU->GPIOPORT[1].PERM = 0;
+	}
 
 	for (size_t i = 0; i < ARRAY_SIZE(periph); i++) {
 		int err;
